package org.nm.challenge.display;

import org.jfree.ui.ApplicationFrame;
import org.nm.challenge.arrays.IArray2D;

public class Display2DFrame extends ApplicationFrame implements IDisplay {

	private static final long serialVersionUID = 1L;
	private final Display2DComponent display2DPanel;

	public Display2DFrame() {
		super("display");
		display2DPanel = new Display2DComponent();
		add(display2DPanel);
	}

	public void update(final int iteration, final IArray2D mass) {
		display2DPanel.update(iteration, mass);
	}
	
}
